Summary: The user-space daemons for using PCMCIA adapters.
Name: pcmcia-cs
Version: 3.1.25
Release: 1
Group: System Environment/Kernel
Copyright: GPL
Url: http://pcmcia-cs.sourceforge.net/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://projects.sourceforge.net/pub/pcmcia-cs/pcmcia-cs-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
This package contains only the user-space tools for using PCMCIA cards
but not the kernel drivers. The kernel drivers must be built into the
kernel. Kernel 2.4 is required.


%prep
%setup -q


%build
# You'll need to have the full kernel source tree which is properly
# configured to have kernel pcmcia drivers enabled before you can
# build this package. Simply having the headers is not enough.
./Configure -n \
	--kernel=/home/kernel/BUILD/linux-2.4.3 \
	--target=$RPM_BUILD_ROOT \
	--notrust \
	--cardbus \
	--nopnp \
	--apm \
	--srctree \
	--sysv \
	--rcdir=/etc/rc.d
make all


%install
rm -rf $RPM_BUILD_ROOT
make install


%post
/sbin/chkconfig --add pcmcia

%preun
/sbin/chkconfig --del pcmcia


%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING LICENSE MAINTAINERS README README-2.4 SUPPORTED.CARDS
%doc doc
%dir /var/lib/pcmcia
%config /etc/rc.d/init.d/pcmcia
%config /etc/sysconfig/pcmcia
/etc/pcmcia
/sbin/*
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*
/usr/share/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

